#pragma once

#include "formatter.h"

namespace maps::wiki::poi {
class NamesFeedComponent;

class NamesXmlFormatter {
public:
    NamesXmlFormatter(std::ostream& out);

    ~NamesXmlFormatter();

    void append(const PoiDef& poiDef, const NamesFeedComponent& names);

private:
    OutputStreamEmitter emitter_;
};

} // namespace maps::wiki::poi
